[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# WriteBarrier

Memory write barrier

## Declaration

Source position: systemh.inc line 558

`procedure WriteBarrier;`

## Description

WriteBarrier is a low-level instruction to force a write barrier in the CPU: write (store) operations before and after the barrier are separate.

## See also

ReadBarrier |  | Memory Read Barrier
ReadDependencyBarrier |  | Memory Read Dependency Barrier
ReadWriteBarrier |  | Memory read/write barrier

Documentation generated on: Feb 26 2014